package cn.com.origin.autocodemanager.common.operations;


import com.teamcenter.rac.kernel.TCComponent;

public class PackCodeNodeInfo {
	private TCComponent nodeComponent;
	private String realTypeName;
	
	private String node_name = "";
	private String node_type = "";
	public String node_value = "";
	public String node_desc = "";
	public String code_style = "";
	public String rule_node = "";
	// boolean
	public boolean is_root=false;
	public boolean is_lock=false;
	public boolean isDefaultSelected=false;
	public boolean isContainsChildren=false;
	// date
	public String create_date = "";
	public String last_revise_date = "";
	// user
	public String create_user = "";
	public String last_revise_user = "";
	public TCComponent getNodeComponent() {
		return nodeComponent;
	}
	public void setNodeComponent(TCComponent nodeComponent) {
		this.nodeComponent = nodeComponent;
	}
	public String getRealTypeName() {
		return realTypeName;
	}
	public void setRealTypeName(String realTypeName) {
		this.realTypeName = realTypeName;
	}
	public String getNode_name() {
		return node_name;
	}
	public void setNode_name(String node_name) {
		this.node_name = node_name;
	}
	public String getNode_type() {
		return node_type;
	}
	public void setNode_type(String node_type) {
		this.node_type = node_type;
	}
	public String getNode_value() {
		return node_value;
	}
	public void setNode_value(String node_value) {
		this.node_value = node_value;
	}
	public String getNode_desc() {
		return node_desc;
	}
	public void setNode_desc(String node_desc) {
		this.node_desc = node_desc;
	}
	public String getCode_style() {
		return code_style;
	}
	public void setCode_style(String code_style) {
		this.code_style = code_style;
	}
	public String getRule_node() {
		return rule_node;
	}
	public void setRule_node(String rule_node) {
		this.rule_node = rule_node;
	}
	public boolean isIs_root() {
		return is_root;
	}
	public void setIs_root(boolean is_root) {
		this.is_root = is_root;
	}
	public boolean isIs_lock() {
		return is_lock;
	}
	public void setIs_lock(boolean is_lock) {
		this.is_lock = is_lock;
	}
	public boolean isDefaultSelected() {
		return isDefaultSelected;
	}
	public void setDefaultSelected(boolean isDefaultSelected) {
		this.isDefaultSelected = isDefaultSelected;
	}
	public boolean isContainsChildren() {
		return isContainsChildren;
	}
	public void setContainsChildren(boolean isContainsChildren) {
		this.isContainsChildren = isContainsChildren;
	}
	public String getCreate_date() {
		return create_date;
	}
	public void setCreate_date(String create_date) {
		this.create_date = create_date;
	}
	public String getLast_revise_date() {
		return last_revise_date;
	}
	public void setLast_revise_date(String last_revise_date) {
		this.last_revise_date = last_revise_date;
	}
	public String getCreate_user() {
		return create_user;
	}
	public void setCreate_user(String create_user) {
		this.create_user = create_user;
	}
	public String getLast_revise_user() {
		return last_revise_user;
	}
	public void setLast_revise_user(String last_revise_user) {
		this.last_revise_user = last_revise_user;
	}

	
}
